felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bokie <jms.cer...@gmail.com>
Subject Re: DependencyManager - osgi.cmpn-4.3.1
Date Mon, 12 Nov 2012 13:10:14 GMT
Hi, 

Yes I am using config-admin 1.6.0

When I start configadmin-1.6.0 before dependencymanager-3.0.0 no exception
is thrown.


>> Is there a reason for deploying this

In new projects I usually go with the latest versions if there's no
compatibility issue with other modules/bundles.

>> The Felix implementations of the OSGi specs usually include the
>> respective API and thus the 
>> deployment of the osgi.cmpn bundle is not required and (as in your case)
>> may even cause trouble.

The org.apache.felix.framework-4.0.3.jar file exports the osgi-core pkgs and
not the osgi-cmpn pkgs, or did you mean something else.


>> In OSGi you should always FIRST install ALL of the
>> bundles you want to install, and THEN start them in any order. 

My set up does exactly that, it actually installs ALL bundles then starts
ALL bundles in the order in which they were started (this order of
istall-start works):
  installed: org.apache.felix.framework.security
  installed: my.platformsecurity
  installed: osgi.cmpn
  installed: org.apache.felix.configadmin
  installed: org.apache.felix.dependencymanager
  installed: org.apache.felix.fileinstall
  started: my.platformsecurity
  started: osgi.cmpn
  started: org.apache.felix.configadmin
  started: org.apache.felix.dependencymanager
  started: org.apache.felix.fileinstall


Thanks,
Bokie





--
View this message in context: http://apache-felix.18485.n6.nabble.com/DependencyManager-osgi-cmpn-4-3-1-tp5000342p5000364.html
Sent from the Apache Felix - Users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message